Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QGraphicsScene.SceneLayer

    java.lang.Object
      java.lang.Enum<QGraphicsScene.SceneLayer>
          com.trolltech.qt.gui.QGraphicsScene.SceneLayer

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGraphicsScene.SceneLayer>

Enclosing class:
  QGraphicsScene

    public static enum QGraphicsScene.SceneLayer

extends java.lang.Enum<QGraphicsScene.SceneLayer>
implements QtEnumerator

This enum describes the rendering layers in a `QGraphicsScene`. When `QGraphicsScene` draws the scene contents, it renders each of these layers separately, in order.

Each layer represents a flag that can be OR'ed together when calling functions such as `invalidate` or QGraphicsView::invalidateScene().

See Also:
  `invalidate`, `QGraphicsView::invalidateScene`

Enum Constant Summary
`AllLayers` All layers; this value represents a combination of all three layers.
`BackgroundLayer` The background layer.
`ForegroundLayer` The foreground layer.
`ItemLayer` The item layer.

Method Summary
`static QGraphicsScene.SceneLayers` | `createQFlags(QGraphicsScene.SceneLayer... values)`
`static QGraphicsScene.SceneLayer` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsScene.SceneLayer` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGraphicsScene.SceneLayer[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ItemLayer

    public static final QGraphicsScene.SceneLayer ItemLayer

  The item layer. `QGraphicsScene` renders all items are in this layer by calling the virtual function `drawItems`. The item layer is drawn after the background layer, but before the foreground layer.

### BackgroundLayer

    public static final QGraphicsScene.SceneLayer BackgroundLayer

  The background layer. `QGraphicsScene` renders the scene's background in this layer by calling the virtual function `drawBackground`. The background layer is drawn first of all layers.

### ForegroundLayer

    public static final QGraphicsScene.SceneLayer ForegroundLayer

  The foreground layer. `QGraphicsScene` renders the scene's foreground in this layer by calling the virtual function `drawForeground`. The foreground layer is drawn last of all layers.

### AllLayers

    public static final QGraphicsScene.SceneLayer AllLayers

  All layers; this value represents a combination of all three layers.

Method Detail

### values

    public static final QGraphicsScene.SceneLayer[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGraphicsScene.SceneLayer c : QGraphicsScene.SceneLayer.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGraphicsScene.SceneLayer valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QGraphicsScene.SceneLayers createQFlags(QGraphicsScene.SceneLayer... values)

### resolve

    public static QGraphicsScene.SceneLayer resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD